<?xml version="1.0" encoding="UTF-8"?>
<!-- rcCheckVoorkomen_ConditioneelElement_v1.0.xslt, 8 april 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gen="http://ei.vektis.nl/generiekefuncties">

	<!-- deze routine voert de volgende controle uit: 
			- als ConditioneelElement voorkomt, controleer of TeControlerenElement wel (Controle = 'J') of niet (Controle='N') voorkomt; zo niet dan wordt Retourcode geretourneerd. -->
					
	<xsl:template name="rcCheckVoorkomen_ConditioneelElement">
		<xsl:param name="TeControlerenElement"/>
		<xsl:param name="Controle"/> 	 <!-- mogelijke waarden in aanroep 'J' en 'N' -->
		<xsl:param name="ConditioneelElement"/>
		<xsl:param name="Retourcode"/>
		
		<xsl:if test="($ConditioneelElement and $Controle='J' and not($TeControlerenElement)) or
					($ConditioneelElement and $Controle='N' and $TeControlerenElement)">
			<gen:Feedback>
				<gen:Retourcode><xsl:value-of select="$Retourcode"/></gen:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<!-- TeControlerenElement is niet gevonden, dus kan niet worden geretourneerd als betrokken element -->
				<!-- ConditioneelElement kan een klasse zijn en kan niet worden geretourneerd als betrokken element -->
			</gen:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
