<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9717.xslt, versie 1.0, 8 april 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gen="http://ei.vektis.nl/generiekefuncties">

	<!-- retourcode 9717: TotaalAantalDecaratieregels moet gelijk zijn aan het aantal Declaratieregels -->
	<xsl:template name="rc9717">
		<xsl:param name="TotaalAantalDeclaratieregels"/>
		<xsl:param name="AantalDeclaratieregels"/>
		
		<xsl:if test="$TotaalAantalDeclaratieregels != $AantalDeclaratieregels">
			<gen:Feedback>
				<gen:Retourcode>9717</gen:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<gen:BetrokkenElement>
						<gen:Elementnaam><xsl:value-of select="local-name($TotaalAantalDeclaratieregels)"/></gen:Elementnaam>
						<gen:Elementwaarde><xsl:value-of select="$TotaalAantalDeclaratieregels"/></gen:Elementwaarde>
					</gen:BetrokkenElement>
			</gen:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
